%define		_sysconfdir	/etc
%define		_libexecdir	%{_bindir}
%define		_localstatedir	/var

Summary:	GNU Binary Utility Development Utilities
Name:		binutils
Version: 	20050430
Release:	1
License:	GPL
Group:		Development
Source0: 	ftp://ftp.kernel.org/pub/linux/devel/binutils/%{name}.tar.bz2
URL:		http://sourceware.cygnus.com/binutils/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cvs -z 9 -d :pserver:anoncvs@sources.redhat.com:/cvs/src co binutils

Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

%package 	devel
Summary:	GNU Binutils static libraries
Group:		Development

%description 	devel
Static libraries for GNU Binutils.

%prep
%setup -q -n %{name}
perl -pi -e 'm/LIBADD/ && s/(\.\.\/bfd\/libbfd.la)/-L\.\.\/bfd\/\.libs \1/' opcodes/Makefile.{am,in}
perl -pi -e 's/i\[3-7\]86/i[34567]86/g' */conf*
touch */configure

%build
%define __libtoolize echo
CFLAGS="%{!?debug:$RPM_OPT_FLAGS}%{?debug:-g -O0}"
export CFLAGS
%configure \
    --enable-shared \
    --disable-debug \
    --disable-nls \
    --without-included-gettext \
    --without-gettext
%{__make} tooldir=%{_prefix} all info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install install-info \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	tooldir=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/c++filt

install include/libiberty.h $RPM_BUILD_ROOT%{_includedir}

mkdir -p $RPM_BUILD_ROOT/usr/i386-pc-linux/bin
cd $RPM_BUILD_ROOT/usr/i386-pc-linux/bin
ln -sf ../../bin/ar ar
ln -sf ../../bin/as as
ln -sf ../../bin/ld ld
ln -sf ../../bin/ranlib ranlib
ln -sf ../../bin/strip strip

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}/strings

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/ldscripts
%{_bindir}
%{_includedir}
/usr/i386-pc-linux
